//include <libnet.h>

class gameClient
{
   int sendSock, listenSock;
   long lastPacketGot;
   long lastPacketSent;
   int CanGet(int size);
   void GetMessage(int size);
public:
   gameClient()
   {
      sendSock = -1;
      listenSock = -1;
      lastPacketGot = -1;
      lastPacketSent = -1;
   };
   int Init(char *serveraddress, int serverport);
   void SendPacket(unsigned char *data, int len, char ack);
   int GetMessageID();
   int ProcessMessage(int id);
   void Exit();
};

extern gameClient Client;

